org.apache.hc.client5.http.entity.mime

## Interface ContentBody

All Superinterfaces:
  ContentDescriptor

All Known Implementing Classes:
  AbstractContentBody, ByteArrayBody, FileBody, InputStreamBody, StringBody

    public interface ContentBody
    extends ContentDescriptor

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFilename()`
`void` `writeTo(OutputStream out)`

### Methods inherited from interface org.apache.hc.client5.http.entity.mime.ContentDescriptor

`getCharset, getContentLength, getMediaType, getMimeType, getSubType`

### Method Detail

#### getFilename

    String getFilename()

#### writeTo

    void writeTo(OutputStream out)
          throws IOException

Throws:
  `IOException`